- [HTTP request](https://docs.cloud.google.com/gemini/data-agents/reference/rest/v1alpha/projects.locations.conversations/list.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/gemini/data-agents/reference/rest/v1alpha/projects.locations.conversations/list.md.txt#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/gemini/data-agents/reference/rest/v1alpha/projects.locations.conversations/list.md.txt#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/gemini/data-agents/reference/rest/v1alpha/projects.locations.conversations/list.md.txt#body.request_body)
- [Response body](https://docs.cloud.google.com/gemini/data-agents/reference/rest/v1alpha/projects.locations.conversations/list.md.txt#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/gemini/data-agents/reference/rest/v1alpha/projects.locations.conversations/list.md.txt#body.ListConversationsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/gemini/data-agents/reference/rest/v1alpha/projects.locations.conversations/list.md.txt#body.aspect)

Lists all conversations for a given parent.

### HTTP request

`GET https://geminidataanalytics.googleapis.com/v1alpha/{parent=projects/*/locations/*}/conversations`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Parent value for ListConversationsRequest. Format: `projects/{project}/locations/{location}` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. Requested page size. Server may return fewer items than requested. The max page size is `100`. All larger page sizes will be coerced to `100`. If unspecified, server will pick `50` as an appropriate default. |
| `pageToken` | `string` Optional. A token identifying a page of results the server should return. |
| `filter` | `string` Optional. Returned conversations will match criteria specified within the filter. conversations.list allows filtering by: \* agents \* labels |

### Request body

The request body must be empty.

### Response body

Message for response to listing conversations.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "conversations": [ { object (`Conversation`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `conversations[]` | ``object (`Conversation`)`` The list of conversations. |
| `nextPageToken` | `string` A token identifying a page of results the server should return. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication.md.txt#authorization-gcp).